#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, c;

    cin>>n>>k>>c;

    vector<int> a(n);

    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }


     for(int i=0; i<k; i++)
        {
            int t=1;
            int x=0;
            for(int l=i; l<=i+k-1; l++)
            {

                x+=a[l]*t;
                if(t!=c)
                    t++;
            }
            cout<<x<<" ";
        }

    return 0;
}